jaxb
  1. jaxb
  2. JAXB-1003

Invalid pom: jaxb-xjc 2.1.16 has a wrong dependency to jaxb-core 2.1.16

    Details

    • Type: Bug Bug
    • Status: Open
    • Priority: Major Major
    • Resolution: Unresolved
    • Affects Version/s: 2.1.16
    • Fix Version/s: None
    • Component/s: None
    • Labels:
      None

      Description

      The pom states a dependency to jaxb-core 2.1.6 which does not exist for the 2.1.x versions.

      This bug for 2.1.16 was already reported in a comment of JAXB-984, and one stated to fix it, but the bug is closed now (without a fix).
      So nobody is currently able to use 2.1.17, unless they use a fixed private pom.

      Please fix all the versions stated in JAXB-984, too.

        Activity

        Hide
        roos added a comment - - edited

        Typos in the comment. 2.1.6 > 2.1.16, 2.1.17 > 2.1.16. Unable to edit the text, sorry.

        Show
        roos added a comment - - edited Typos in the comment. 2.1.6 > 2.1.16, 2.1.17 > 2.1.16. Unable to edit the text, sorry.
        Hide
        Iaroslav Savytskyi added a comment -

        Hi,

        I have pushed jaxb-core 2.1.14. Can you use it as workaround?

        Show
        Iaroslav Savytskyi added a comment - Hi, I have pushed jaxb-core 2.1.14. Can you use it as workaround?
        Hide
        lexi added a comment -

        Workaround:

        		<dependency>
        			<groupId>com.sun.xml.bind</groupId>
        			<artifactId>jaxb-impl</artifactId>
        			<version>${jaxb21.version}</version>
        			<exclusions>
        				<exclusion>
        					<groupId>com.sun.xml.bind</groupId>
        					<artifactId>jaxb-core</artifactId>
        				</exclusion>
        			</exclusions>
        		</dependency>
        		<dependency>
        			<groupId>com.sun.xml.bind</groupId>
        			<artifactId>jaxb-xjc</artifactId>
        			<version>${jaxb21.version}</version>
        			<exclusions>
        				<exclusion>
        					<groupId>com.sun.xml.bind</groupId>
        					<artifactId>jaxb-core</artifactId>
        				</exclusion>
        			</exclusions>
        		</dependency>
        
        Show
        lexi added a comment - Workaround: <dependency> <groupId>com.sun.xml.bind</groupId> <artifactId>jaxb-impl</artifactId> <version>${jaxb21.version}</version> <exclusions> <exclusion> <groupId>com.sun.xml.bind</groupId> <artifactId>jaxb-core</artifactId> </exclusion> </exclusions> </dependency> <dependency> <groupId>com.sun.xml.bind</groupId> <artifactId>jaxb-xjc</artifactId> <version>${jaxb21.version}</version> <exclusions> <exclusion> <groupId>com.sun.xml.bind</groupId> <artifactId>jaxb-core</artifactId> </exclusion> </exclusions> </dependency>

          People

          • Assignee:
            Iaroslav Savytskyi
            Reporter:
            roos
          • Votes:
            0 Vote for this issue
            Watchers:
            1 Start watching this issue

            Dates

            • Created:
              Updated: